perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Anand R" <ana...@dsmsoft.com>
Subject Re: Can't call Apache::Request->new()
Date Fri, 14 Dec 2001 08:10:24 GMT
The Request Object contains info sent to the server in the client's request.
The Information stored under the Request object
*    ClientCertificate
*    Cookies
*    form
*    QueryString
*    ServerVariables

The ServerVariables collections stores both ENV variables relavent to the
transaction and HTTP headers sent in the request.

The header objects are accessiable by using the syntax:- HTTP_HeaderName

Maybe after all these clarification will help you,If I have understood your
problem.

>Subject: Re: Can't call Apache::Request->new()
Maybe this should not a big problem,U just have to have a look at the
Apache Doc.

regards,
Anand
DSM Soft (P) Ltd
www.dsmsoft.com



----- Original Message -----
From: Paul Makepeace <apache.org@paulm.com>
To: <modperl@apache.org>
Sent: Friday, December 14, 2001 12:12 PM
Subject: Re: Can't call Apache::Request->new()


> So no replies to this -- could someone even confirm they have a working
> Apache::Request v0.33 on perl 5.6.1? That would be a big help in at
> least determining whether it's perhaps something amiss here. Else I'll
> file it as a bug.
>
> Cheers,
> Paul
>
> On Tue, Dec 11, 2001 at 09:11:50PM -0800, Paul Makepeace wrote:
> > I'm getting the following error,
> >
> > $ perl -MApache::Request -e 'Apache::Request->new'
> > Can't locate object method "new" via package "Apache::Request" (perhaps
you forgot to load "Apache::Request"?) at -e line 1.
> > $
> >
> > ...both from the command line and under a PerlHandler Apache::Registry'd
> > script.
> >
> > Of course, it is installed:
> >
> > $ perl -MApache::Request -le 'print grep /Request/, values %INC; print
$Apache::Request::VERSION'
> > /usr/local/lib/perl/5.6.1/Apache/Request.pm
> > 0.33
> > $
> >
> > In all other respects I'm able to discern so far mod_perl, Perl and
> > Apache are working here (I have a number of sites using Template Toolkit
> > with a custom PerlHandler and a few scripts under Apache::Registry). I'm
> > getting this error from both a fresh CPAN install and Debian's
> > libapache-request-perl package (not installed at the same time!).
> >
> > Any suggestions where to start looking?
> >
> > Thanks,
> > Paul
> >
> > PS Rather than cluttering your inbox, perl -V is at
> >    http://paulm.com/tmp/perl_v.txt


Mime
View raw message